## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/prometheus/common
%global goipath         github.com/prometheus/common
Version:                0.30.0

%gometa

%global goipaths0       github.com/prometheus/common
%global goipathsex0     github.com/prometheus/common/promlog github.com/prometheus/common/config github.com/prometheus/common/version

%if %{without bootstrap}
%global goipaths1       github.com/prometheus/common/promlog github.com/prometheus/common/config github.com/prometheus/common/version
%endif

%global common_description %{expand:
This repository contains Go libraries that are shared across Prometheus
components and libraries.

 - config: Common configuration structures
 - expfmt: Decoding and encoding for the exposition format
 - log: A logging wrapper around logrus
 - model: Shared data structures
 - route: A routing wrapper around httprouter using context.Context
 - version: Version information and metrics}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Go libraries shared across prometheus components and libraries

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/stscreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/signer/v4)
BuildRequires:  golang(github.com/go-kit/log)
BuildRequires:  golang(github.com/go-kit/log/level)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/julienschmidt/httprouter)
BuildRequires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
%if %{without bootstrap}
BuildRequires:  golang(github.com/mwitkow/go-conntrack)
%endif
BuildRequires:  golang(github.com/pkg/errors)
%if %{without bootstrap}
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
%endif
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/clientcredentials)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{without bootstrap}
%if %{with check}
# Tests
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
# Go 1.18 deprecated SHA1-RSA
export GODEBUG=x509sha1=1
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Wed Feb 23 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-5
- Fix FTBFS Close: rhbz#2045604

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 10 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-3
- Unbootstrap

* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-2
- Disable tests for bootstrap

* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.30.0-1
- Update to 0.30.0 Close: rhbz#1930182

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 24 23:08:38 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-2
- Go 1.16: Disable TestTLSConfig until theissue is resolved upstream

* Thu Dec 03 19:50:53 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.0-1
- Update to 0.15.0

* Fri Jul 31 20:28:56 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 02 01:59:57 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Update to 0.9.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 08 22:11:46 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.1-1
- Release 0.4.1

* Thu Apr 11 14:04:15 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Release 0.3.0 (#1668775)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.git38c53a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.17.git38c53a9
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.git38c53a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.git38c53a9
- Temporarily remove the promlog due to missing github.com/go-kit/kit dependency
  resolves: #1599386

* Wed Jun 27 2018 Paul Gier <pgier@redhat.com> - 0-0.14.git38c53a9
- Update to newer snapshot version
- Enable checks for config and log dirs

* Tue Jun 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git49fee29
- Upload glide files

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git49fee29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.git49fee29
- add missing dependency
  related: #1315096

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.10.git49fee29
- Bump to upstream 49fee292b27bfff7f354ee0f64e1bc4850462edf
  related: #1315096

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.7.git195bde7
- Bump to upstream 195bde7883f7c39ea62b0d92ab7359b5327065cb
  related: #1315096

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git4fdc91a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git4fdc91a
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.4.git4fdc91a
- Bump to upstream 4fdc91a58c9d3696b982e8a680f4997403132d44
  resolves: #1315096

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitffe929a
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitffe929a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitffe929a
- First package for Fedora
  resolves: #1272465

